package com.prolog.rdc.tms.model.vo;

import io.swagger.annotations.ApiModelProperty;

/**
 * 新增打印路由配置
 * 
 * @author hrq
 *
 */
public class NewSysDefinePrintRouteVO {
	@ApiModelProperty(value = "打印方案编码", required = true)
	private String tempid;

	@ApiModelProperty(value = "打印方案名称", required = true)
	private String tempname;

	@ApiModelProperty(value = "工号", required = true)
	private String operatorcode;

	@ApiModelProperty(value = "人员名称", required = true)
	private String operatorname;

	@ApiModelProperty(value = "IP地址", required = true)
	private String machine_ip;

	@ApiModelProperty(value = "扩展分组1")
	private String group1;

	@ApiModelProperty(value = "扩展分组2")
	private String group2;

	@ApiModelProperty(value = "扩展分组3")
	private String group3;

	@ApiModelProperty(value = "扩展分组4")
	private String group4;

	@ApiModelProperty(value = "扩展分组5")
	private String group5;

	@ApiModelProperty(value = "状态(10 启用 20 不启用)", required = true)
	private String statue;

	@ApiModelProperty(value = "备注")
	private String note;

	public String getNote() {
		return note;
	}

	public void setNote(String note) {
		this.note = note;
	}

	public String getTempid() {
		return tempid;
	}

	public void setTempid(String tempid) {
		this.tempid = tempid;
	}

	public String getTempname() {
		return tempname;
	}

	public void setTempname(String tempname) {
		this.tempname = tempname;
	}

	public String getOperatorcode() {
		return operatorcode;
	}

	public void setOperatorcode(String operatorcode) {
		this.operatorcode = operatorcode;
	}

	public String getOperatorname() {
		return operatorname;
	}

	public void setOperatorname(String operatorname) {
		this.operatorname = operatorname;
	}

	public String getMachine_ip() {
		return machine_ip;
	}

	public void setMachine_ip(String machine_ip) {
		this.machine_ip = machine_ip;
	}

	public String getGroup1() {
		return group1;
	}

	public void setGroup1(String group1) {
		this.group1 = group1;
	}

	public String getGroup2() {
		return group2;
	}

	public void setGroup2(String group2) {
		this.group2 = group2;
	}

	public String getGroup3() {
		return group3;
	}

	public void setGroup3(String group3) {
		this.group3 = group3;
	}

	public String getGroup4() {
		return group4;
	}

	public void setGroup4(String group4) {
		this.group4 = group4;
	}

	public String getGroup5() {
		return group5;
	}

	public void setGroup5(String group5) {
		this.group5 = group5;
	}

	public String getStatue() {
		return statue;
	}

	public void setStatue(String statue) {
		this.statue = statue;
	}

}
